Send a Simulated Email

To a contact center agent.

📘

Supported Regions and Base URLs
👍

Access and RegistrationAuthentication

Scope

simulated-emails:write

Body Request - Example

{
  "subject": "Hello",
  "content": "how are you today",
  "from": {
    "name": "from",
    "email": "[email protected]"
  },
  "to": [
    {
      "name": "to",
      "email": "[email protected]"
    }
  ]
}

Body Response - Schema

200 (success - sends an email message to an agent)

The Request Body

ParameterTypeDescriptionRequired
idstring

Email's message ID.

= 1 characters
<= 255 characters

yes
message_idstring

Email's message ID.

= 1 characters
<= 255 characters

yes
thread_idstring

Thread's ID

= 1 characters
<= 255 characters

yes
interaction_idstring

The interaction ID.

= 1 characters
<= 255 characters

yes

400 (bad request), 401 (unauthorized), 403 (forbidden), 500 (internal server error)

ParameterTypeDescriptionRequired
codestringn/ayes
messagestringn/ayes
descriptionstringn/ano
fieldsarray[object]

"fields" subdivides into:

"name" (string)

"description" (string)

yes (name and description)
🚧

Troubleshooting

If you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.

Body Params
string
required

Email subject. >= 1 characters <= 1000 characters

string
required

the email's content

to
array
required

email send to >= 1 items <= 1000 items. Subdivides into: name (string; email friendly name >= 1 characters <= 200 characters); email (string; email address >= 1 characters <= 200 characters)

to*
Responses

Language
Credentials
Header
Request
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json